import request from '@/config/axios'

// 获取角色快报配置
export const getRoleDaliyReport = async (roleId) => {
  return await request.get({
    url: '/admin-api/system/role-message-setting/get',
    params: { roleId }
  })
}

// 保存角色每日快报配置
export const updateRoleDaliyReport = async (data) => {
  return await request.post({
    url: '/admin-api/system/role-message-setting/save',
    data,
    isSubmitForm: true
  })
}

// 获取每日快报发送内容
export const getDaliyReportContent = async () => {
  return await request.get({
    url: '/admin-api/system/message-item/list-all-simple'
  })
}
